BCHUNK(1)

NAME
bchunk - CD image format conversion from bin/cue to iso/cdr

SYNOPSIS
bchunk [-v] [-p] [-r] [-w] [-s] <image.bin> <image.cue> <basename>

DESCRIPTION

bchunk converts a CD image in a ".bin / .cue" format (sometimes ".raw / .cue") to a set of .iso and .cdr tracks.

The bin/cue format is used by some non-Unix cd-writing software, but is not supported on most other cd-writing programs.

image.bin is the raw cd image file. image.cue is the track index file containing track types and offsets. basename is used for the beginning part of the created track files.

The produced .iso track contains an ISO file system, which can be mounted through a loop device on Linux systems, or written on a CD-R using cdrecord. The .cdr tracks are in the native CD audio format. They can be either written on a CD-R using cdrecord -audio, or converted to WAV (or any other sound format for that matter) using sox.

The output type depends on the input type (data is just copied). If the input is in ISO format, the output will be. On the other hand, if the input is raw audio data, the output will be CDR or WAV (the latter if -w is given).

It is advisable to edit the .cue file to either MODE2/2352/2048 or MODE2/2352/2324 depending on whether an ISO filesystem or a VCD is desired, respectively. The format itself does not contain this feature and in an ambiguous case it can only guess.

OPTIONS

-v  Makes binchunker print some more unnecessary messages, which should not be of interest for anyone.

-w  Makes binchunker write audio tracks in WAV format.

-s  Makes binchunker swap byte order in the samples of audio tracks.

-p  Makes binchunker go into PSX mode and truncate MODE2/2352 tracks to 2336 bytes at offset 0 instead of normal 2048 bytes at offset 24. Use this option if input is in PSX mode.

-r  Makes binchunker output MODE2/2352 tracks in raw format, from offset 0 for 2352 bytes. Good for MPEG/VCD. Use this option if input is in raw format.

FILES

image.bin
    Raw CD image file

image.cue
    TOC (Track index, Table Of Contents) file

*.iso
    Tracks in ISO9660 CD filesystem format. Can be either written on a CD-R using cdrecord, or mounted (on Linux platforms at least) through a loop device ('mount track.iso /mnt/cdrom -o loop=/dev/loop0,blocksize=1024').

*.cdr
    Audio tracks in native CD audio format. They can be either written on a CD-R using 'cdrecord -audio', or converted to WAV (or any other sound format for that matter) using sox ('sox track.cdr track.wav').

*.wav
    Audio tracks in WAV format.

SEE ALSO
cdrecord(1), mkisofs(8), sox(1), cdrdao(1)

AUTHORS

Heikki Hannikainen <hessu@hes.iki.fi>
Bob Marietta <marietrg@SLU.EDU>
Colas Nahaboo <Colas@Nahaboo.com>
Godmar Back <gback@cs.utah.edu>
Matthew Green <mrg@eterna.com.au>